Subject: bug#24098: 25.1; Auto complete not working

From: David Gomes <[email-masked]>
Date: Thu, 28 Jul 2016 12:15:57 -0400

The first line seems to be related with Emacs Code Browser,so
I decided to M-x ecb-deactivate and then restart Emacs without
Emacs Code Browser at all.

This was the output of my *Messages* buffer as I tried to autocomplete.

Loading /Users/davidgomes/.emacs.d/recentf...done
Cleaning up the recentf list...done (0 removed)
ECB 2.40 uses CEDET 2.0 (contains semantic 2.2, eieio 1.4, speedbar 1.0).
All requirements for ECB 2.40 fulfilled - Enjoy it!
ad-handle-definition: ‘custom-save-all’ got redefined
Loading /Users/davidgomes/.ecb-user-layouts.el (source)...done
The ECB is now activated.
There are no NEWS to display.
All requirements for ECB 2.40 fulfilled - Enjoy it!
ad-handle-definition: ‘tramp-read-passwd’ got redefined
Desktop: File "/Users/davidgomes/*message*-20160728-070715" no longer
exists.
Wrote /Users/davidgomes/.emacs.d/.emacs.desktop.lock
Desktop: 2 frames, 22 buffers restored, 1 failed to restore.
For information about GNU Emacs and the GNU system, type C-h C-a.
Error running timer ‘ac-show-menu’: (wrong-number-of-arguments setq 1)
auto-complete error: (wrong-number-of-arguments setq 1)
Mark set
Saving file /Users/davidgomes/.emacs.d/init.el...
Wrote /Users/davidgomes/.emacs.d/init.el
auto-complete error: (wrong-number-of-arguments setq 1) [15 times]
Undo!
C-x <up> is undefined

No more tree-buffer errors but auto-complete still not working. I think you
should just ignore the first line of output in the original bug report.

On July 28, 2016 at 9:13:02 AM, Eli Zaretskii ([email-masked]) wrote:

> From: David Gomes <[email-masked]>
> Date: Thu, 28 Jul 2016 10:10:15 -0400
>
> This happens in any mode, but basically auto complete does not work.
> It sort of works the first time I use it when I load Emacs but after
> that I get this error:
>
> Error during redisplay: (eval (list
(tree-buffer-spec->sticky-indent-string tree-buffer-spec)
> (tree-buffer-stickynode-fetch-stickyline))) signaled (wrong-type-argument
number-or-marker-p nil) [2 times]
> Error running timer ‘ac-show-menu’: (wrong-number-of-arguments setq 1)
> auto-complete error: (wrong-number-of-arguments setq 1)
>
> And after that it never works again.

Look into your customizations, particularly something that activates
the tree-buffer feature (which AFAIK is not part of Emacs).